/*
 * Copyright 2017 Archos SA
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef _FB_MODES_H
#define _FB_MODES_H

/* global modes for all framebuffers */
#define MODE_TV_NTSC            0
#define MODE_TV_PAL             1
#define MODE_LCD_60HZ           2
#define MODE_LCD_50HZ           3
#define MODE_LCD_48_7HZ         4
#define MODE_HDMI_VGA           5
#define MODE_HDMI_480P          6
#define MODE_HDMI_576P          7
#define MODE_HDMI_720P_50       8
#define MODE_HDMI_720P_60       9
#define MODE_HDMI_768          10
#define MODE_HDMI_1024         11
#define MODE_HDMI_1080P        12

/* possible TV format for all framebuffers */
#define FORMAT_TV_4_3		0
#define FORMAT_TV_16_9		1
#define FORMAT_TV_WIDESCREEN	2

#endif 
