/*
 * Copyright 2017 Archos SA
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef AVOS_MR_METADATA_H
#define AVOS_MR_METADATA_H

#include "avos_common.h"

// in sync with mydroid/frameworks/base/include/media/mediametadataretriever.h
enum {
	AVOS_MR_METADATA_CD_TRACK_NUMBER		= 0,
	AVOS_MR_METADATA_ALBUM				= 1,
	AVOS_MR_METADATA_ARTIST				= 2,
	AVOS_MR_METADATA_AUTHOR				= 3,
	AVOS_MR_METADATA_COMPOSER			= 4,
	AVOS_MR_METADATA_DATE				= 5,
	AVOS_MR_METADATA_GENRE				= 6,
	AVOS_MR_METADATA_TITLE				= 7,
	AVOS_MR_METADATA_YEAR				= 8,
	AVOS_MR_METADATA_DURATION			= 9,
	AVOS_MR_METADATA_NUM_TRACKS			= 10,
	AVOS_MR_METADATA_WRITER				= 11,
	AVOS_MR_METADATA_MIMETYPE			= 12,
	AVOS_MR_METADATA_ALBUMARTIST			= 13,
	AVOS_MR_METADATA_DISC_NUMBER			= 14,
	AVOS_MR_METADATA_COMPILATION			= 15,
	AVOS_MR_METADATA_HAS_AUDIO	   		= 16,
	AVOS_MR_METADATA_HAS_VIDEO	   		= 17,
	AVOS_MR_METADATA_VIDEO_WIDTH			= 18,
	AVOS_MR_METADATA_VIDEO_HEIGHT			= 19,
	AVOS_MR_METADATA_BITRATE			= 20,
	AVOS_MR_METADATA_TIMED_TEXT_LANGUAGES		= 21,
	AVOS_MR_METADATA_IS_DRM				= 22,
	AVOS_MR_METADATA_LOCATION			= 23,

	// avos specific
	AVOS_MR_METADATA_SAMPLE_RATE			= 24,
	AVOS_MR_METADATA_NUMBER_OF_CHANNELS		= 25,
	AVOS_MR_METADATA_AUDIO_WAVE_CODEC		= 26,
	AVOS_MR_METADATA_AUDIO_BITRATE			= 27,
	AVOS_MR_METADATA_VIDEO_FOURCC_CODEC		= 28,
	AVOS_MR_METADATA_VIDEO_BITRATE			= 29,
	AVOS_MR_METADATA_FRAMES_PER_THOUSAND_SECONDS	= 30,
	AVOS_MR_METADATA_ENCODING_PROFILE		= 31,
	AVOS_MR_METADATA_FILE_SIZE			= 32,

	AVOS_MR_METADATA_NB_VIDEO_TRACK			= 9000,
	AVOS_MR_METADATA_NB_AUDIO_TRACK			= 9001,
	AVOS_MR_METADATA_NB_SUBTITLE_TRACK	 	= 9002,
	AVOS_MR_METADATA_VIDEO_TRACK			= 10000,
	AVOS_MR_METADATA_AUDIO_TRACK			= 20000,
	AVOS_MR_METADATA_SUBTITLE_TRACK			= 30000,
};

enum {
	AVOS_MR_METADATA_VIDEO_TRACK_FORMAT		= 0,
	AVOS_MR_METADATA_VIDEO_TRACK_WIDTH		= 1,
	AVOS_MR_METADATA_VIDEO_TRACK_HEIGHT		= 2,
	AVOS_MR_METADATA_VIDEO_TRACK_ASPECT_N		= 3,
	AVOS_MR_METADATA_VIDEO_TRACK_ASPECT_D		= 4,
	AVOS_MR_METADATA_VIDEO_TRACK_PIXEL_FORMAT	= 5,
	AVOS_MR_METADATA_VIDEO_TRACK_PROFILE		= 6,
	AVOS_MR_METADATA_VIDEO_TRACK_LEVEL		= 7,
	AVOS_MR_METADATA_VIDEO_TRACK_BIT_RATE		= 8,
	AVOS_MR_METADATA_VIDEO_TRACK_FPS		= 9,
	AVOS_MR_METADATA_VIDEO_TRACK_S3D_MODE		= 10,
	AVOS_MR_METADATA_VIDEO_TRACK_FPS_RATE		= 11,
	AVOS_MR_METADATA_VIDEO_TRACK_FPS_SCALE		= 12,
	AVOS_MR_METADATA_VIDEO_TRACK_MAX		= 13,
};

enum {
	AVOS_MR_METADATA_AUDIO_TRACK_NAME			= 0,
	AVOS_MR_METADATA_AUDIO_TRACK_FORMAT			= 1,
	AVOS_MR_METADATA_AUDIO_TRACK_BIT_RATE		= 2,
	AVOS_MR_METADATA_AUDIO_TRACK_SAMPLE_RATE	= 3,
	AVOS_MR_METADATA_AUDIO_TRACK_CHANNELS		= 4,
	AVOS_MR_METADATA_AUDIO_TRACK_VBR			= 5,
	AVOS_MR_METADATA_AUDIO_TRACK_SUPPORTED		= 6,
	AVOS_MR_METADATA_AUDIO_TRACK_LANGUAGE		= 7,
	AVOS_MR_METADATA_AUDIO_TRACK_MAX			= 8,
};

enum {
	AVOS_MR_METADATA_SUBTITLE_TRACK_NAME		= 0,
	AVOS_MR_METADATA_SUBTITLE_TRACK_PATH		= 1,
	AVOS_MR_METADATA_SUBTITLE_TRACK_IS_GFX		= 2,
	AVOS_MR_METADATA_SUBTITLE_TRACK_FORMAT		= 3,
	AVOS_MR_METADATA_SUBTITLE_TRACK_LANGUAGE	= 4,
	AVOS_MR_METADATA_SUBTITLE_TRACK_MAX			= 5,
};

#endif // AVOS_MR_METADATA_H
